NetXMS Support Forum

Please login or register.

Login with username, password and session length

Author Topic: Cannot loads platform subagent  (Read 2768 times)

huffman

  • Newbie
  • *
  • Posts: 1
    • View Profile
Cannot loads platform subagent
« on: February 16, 2007, 03:28:55 am »

FreeBSD 6.0-RELEASE-p9
postgresql-server-8.1.8

Cannot loads platform subagent "/usr/local/lib/libnsm_freebsd.so": Subagent doesn't provide any usable
Unable to load module "/usr/local/lib/libnxddr_pgsql.so": /usr/local/lib/libnxddr_pgsql.so: Undefined s
Logged

Victor Kirhenshtein

  • Lead Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 6451
    • View Profile
Cannot loads platform subagent
« Reply #1 on: February 16, 2007, 10:40:55 am »

Hello!

The main problem is that PostgreSQL database driver was not linked correctly. This is already known bug, which will be fixed in 0.2.16. For now, you can use workaround described here:

https://www.netxms.org/cgi-bin/mwf/topic_show.pl?tid=29;sid=b7dca035f7436b0605f5ff0d9de0937b'>https://www.netxms.org/cgi-bin/mwf/topic_show.pl?tid=29;sid=b7dca035f7436b0605f5ff0d9de0937b

Best regards,
Victor
Logged